com.beaglebuddy.mpeg.enums

## Enum GainType

- java.lang.Object
- - java.lang.Enum<GainType>
  - - com.beaglebuddy.mpeg.enums.GainType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GainType>

      public enum GainType
      extends java.lang.Enum<GainType>

  The list of gain types supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIOPHILE` replay gain set for audiophile
    `NOT_SET` not set
    `RADIO` replay gain set for radio airplay

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the LAME replay gain type.
    `java.lang.String` | `toString()` gets a string representation of the LAME replay gain type enum.
    `static GainType` | `valueOf(int type)` converts an integral value to its corresponding LAME replay gain type enum.
    `static GainType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GainType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SET

          public static final GainType NOT_SET

      not set

    - #### RADIO

          public static final GainType RADIO

      replay gain set for radio airplay

    - #### AUDIOPHILE

          public static final GainType AUDIOPHILE

      replay gain set for audiophile

  - ### Method Detail

    - #### values

          public static GainType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GainType c : GainType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GainType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the LAME replay gain type.
      Returns:
        the name of the LAME replay gain type.

    - #### valueOf

          public static GainType valueOf(int type)
                                  throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding LAME replay gain type enum.
      Parameters:
        `type` - integral value to be converted to an LAME replay gain type enum.
      Returns:
        the LAME replay gain type enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid LAME replay gain type.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the LAME replay gain type enum.
      Overrides:
        `toString` in class `java.lang.Enum<GainType>`
      Returns:
        a string representation of the LAME replay gain type enum.